# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from goodlens_product_server.models.base_model_ import Model
from goodlens_product_server.models.food_origin_material_sub1 import FoodOriginMaterialSub1  # noqa: F401,E501
from goodlens_product_server import util


class FoodOriginMaterial(Model):
    """NOTE: This class is auto generated by the goodlens_product code generator program.

    Do not edit the class manually.
    """

    def __init__(self, name: str=None, origin_place: List[str]=None, rate: str=None, rate_unit: str=None, raw_text: str=None, child: List[FoodOriginMaterialSub1]=None):  # noqa: E501
        """FoodOriginMaterial - a model defined in goodlens_product

        :param name: The name of this FoodOriginMaterial.  # noqa: E501
        :type name: str
        :param origin_place: The origin_place of this FoodOriginMaterial.  # noqa: E501
        :type origin_place: List[str]
        :param rate: The rate of this FoodOriginMaterial.  # noqa: E501
        :type rate: str
        :param rate_unit: The rate_unit of this FoodOriginMaterial.  # noqa: E501
        :type rate_unit: str
        :param raw_text: The raw_text of this FoodOriginMaterial.  # noqa: E501
        :type raw_text: str
        :param child: The child of this FoodOriginMaterial.  # noqa: E501
        :type child: List[FoodOriginMaterialSub1]
        """
        self.goodlens_product_types = {
            'name': str,
            'origin_place': List[str],
            'rate': str,
            'rate_unit': str,
            'raw_text': str,
            'child': List[FoodOriginMaterialSub1]
        }

        self.attribute_map = {
            'name': 'name',
            'origin_place': 'origin_place',
            'rate': 'rate',
            'rate_unit': 'rate_unit',
            'raw_text': 'raw_text',
            'child': 'child'
        }

        self._name = name
        self._origin_place = origin_place
        self._rate = rate
        self._rate_unit = rate_unit
        self._raw_text = raw_text
        self._child = child

    @classmethod
    def from_dict(cls, dikt) -> 'FoodOriginMaterial':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The FoodOriginMaterial of this FoodOriginMaterial.  # noqa: E501
        :rtype: FoodOriginMaterial
        """
        return util.deserialize_model(dikt, cls)

    @property
    def name(self) -> str:
        """Gets the name of this FoodOriginMaterial.

        원재료명  # noqa: E501

        :return: The name of this FoodOriginMaterial.
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name: str):
        """Sets the name of this FoodOriginMaterial.

        원재료명  # noqa: E501

        :param name: The name of this FoodOriginMaterial.
        :type name: str
        """

        self._name = name

    @property
    def origin_place(self) -> List[str]:
        """Gets the origin_place of this FoodOriginMaterial.

        원산지  # noqa: E501

        :return: The origin_place of this FoodOriginMaterial.
        :rtype: List[str]
        """
        return self._origin_place

    @origin_place.setter
    def origin_place(self, origin_place: List[str]):
        """Sets the origin_place of this FoodOriginMaterial.

        원산지  # noqa: E501

        :param origin_place: The origin_place of this FoodOriginMaterial.
        :type origin_place: List[str]
        """

        self._origin_place = origin_place

    @property
    def rate(self) -> str:
        """Gets the rate of this FoodOriginMaterial.

        비중  # noqa: E501

        :return: The rate of this FoodOriginMaterial.
        :rtype: str
        """
        return self._rate

    @rate.setter
    def rate(self, rate: str):
        """Sets the rate of this FoodOriginMaterial.

        비중  # noqa: E501

        :param rate: The rate of this FoodOriginMaterial.
        :type rate: str
        """

        self._rate = rate

    @property
    def rate_unit(self) -> str:
        """Gets the rate_unit of this FoodOriginMaterial.

        비중 단위(%, mg/g, ...)  # noqa: E501

        :return: The rate_unit of this FoodOriginMaterial.
        :rtype: str
        """
        return self._rate_unit

    @rate_unit.setter
    def rate_unit(self, rate_unit: str):
        """Sets the rate_unit of this FoodOriginMaterial.

        비중 단위(%, mg/g, ...)  # noqa: E501

        :param rate_unit: The rate_unit of this FoodOriginMaterial.
        :type rate_unit: str
        """

        self._rate_unit = rate_unit

    @property
    def raw_text(self) -> str:
        """Gets the raw_text of this FoodOriginMaterial.

        원재료명/함량 원본 Text  # noqa: E501

        :return: The raw_text of this FoodOriginMaterial.
        :rtype: str
        """
        return self._raw_text

    @raw_text.setter
    def raw_text(self, raw_text: str):
        """Sets the raw_text of this FoodOriginMaterial.

        원재료명/함량 원본 Text  # noqa: E501

        :param raw_text: The raw_text of this FoodOriginMaterial.
        :type raw_text: str
        """

        self._raw_text = raw_text

    @property
    def child(self) -> List[FoodOriginMaterialSub1]:
        """Gets the child of this FoodOriginMaterial.


        :return: The child of this FoodOriginMaterial.
        :rtype: List[FoodOriginMaterialSub1]
        """
        return self._child

    @child.setter
    def child(self, child: List[FoodOriginMaterialSub1]):
        """Sets the child of this FoodOriginMaterial.


        :param child: The child of this FoodOriginMaterial.
        :type child: List[FoodOriginMaterialSub1]
        """

        self._child = child
