# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from goodlens_product_server.models.base_model_ import Model
from goodlens_product_server.models.nutrient_item import NutrientItem  # noqa: F401,E501
from goodlens_product_server import util


class NutrientItem(Model):
    """NOTE: This class is auto generated by the goodlens_product code generator program.

    Do not edit the class manually.
    """

    def __init__(self, name: str=None, weight: str=None, weight_unit: str=None, weight_unit_extra: str=None, rate: str=None, rate_unit: str=None, child: List[NutrientItem]=None):  # noqa: E501
        """NutrientItem - a model defined in goodlens_product

        :param name: The name of this NutrientItem.  # noqa: E501
        :type name: str
        :param weight: The weight of this NutrientItem.  # noqa: E501
        :type weight: str
        :param weight_unit: The weight_unit of this NutrientItem.  # noqa: E501
        :type weight_unit: str
        :param weight_unit_extra: The weight_unit_extra of this NutrientItem.  # noqa: E501
        :type weight_unit_extra: str
        :param rate: The rate of this NutrientItem.  # noqa: E501
        :type rate: str
        :param rate_unit: The rate_unit of this NutrientItem.  # noqa: E501
        :type rate_unit: str
        :param child: The child of this NutrientItem.  # noqa: E501
        :type child: List[NutrientItem]
        """
        self.goodlens_product_types = {
            'name': str,
            'weight': str,
            'weight_unit': str,
            'weight_unit_extra': str,
            'rate': str,
            'rate_unit': str,
            'child': List[NutrientItem]
        }

        self.attribute_map = {
            'name': 'name',
            'weight': 'weight',
            'weight_unit': 'weight_unit',
            'weight_unit_extra': 'weight_unit_extra',
            'rate': 'rate',
            'rate_unit': 'rate_unit',
            'child': 'child'
        }

        self._name = name
        self._weight = weight
        self._weight_unit = weight_unit
        self._weight_unit_extra = weight_unit_extra
        self._rate = rate
        self._rate_unit = rate_unit
        self._child = child

    @classmethod
    def from_dict(cls, dikt) -> 'NutrientItem':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The NutrientItem of this NutrientItem.  # noqa: E501
        :rtype: NutrientItem
        """
        return util.deserialize_model(dikt, cls)

    @property
    def name(self) -> str:
        """Gets the name of this NutrientItem.

        영양성분명  # noqa: E501

        :return: The name of this NutrientItem.
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name: str):
        """Sets the name of this NutrientItem.

        영양성분명  # noqa: E501

        :param name: The name of this NutrientItem.
        :type name: str
        """

        self._name = name

    @property
    def weight(self) -> str:
        """Gets the weight of this NutrientItem.

        함량  # noqa: E501

        :return: The weight of this NutrientItem.
        :rtype: str
        """
        return self._weight

    @weight.setter
    def weight(self, weight: str):
        """Sets the weight of this NutrientItem.

        함량  # noqa: E501

        :param weight: The weight of this NutrientItem.
        :type weight: str
        """

        self._weight = weight

    @property
    def weight_unit(self) -> str:
        """Gets the weight_unit of this NutrientItem.

        함량 단위(ex. g, ml, ...)  # noqa: E501

        :return: The weight_unit of this NutrientItem.
        :rtype: str
        """
        return self._weight_unit

    @weight_unit.setter
    def weight_unit(self, weight_unit: str):
        """Sets the weight_unit of this NutrientItem.

        함량 단위(ex. g, ml, ...)  # noqa: E501

        :param weight_unit: The weight_unit of this NutrientItem.
        :type weight_unit: str
        """

        self._weight_unit = weight_unit

    @property
    def weight_unit_extra(self) -> str:
        """Gets the weight_unit_extra of this NutrientItem.

        부가 단위(ex. 미만, 이상, ...)  # noqa: E501

        :return: The weight_unit_extra of this NutrientItem.
        :rtype: str
        """
        return self._weight_unit_extra

    @weight_unit_extra.setter
    def weight_unit_extra(self, weight_unit_extra: str):
        """Sets the weight_unit_extra of this NutrientItem.

        부가 단위(ex. 미만, 이상, ...)  # noqa: E501

        :param weight_unit_extra: The weight_unit_extra of this NutrientItem.
        :type weight_unit_extra: str
        """

        self._weight_unit_extra = weight_unit_extra

    @property
    def rate(self) -> str:
        """Gets the rate of this NutrientItem.

        비중  # noqa: E501

        :return: The rate of this NutrientItem.
        :rtype: str
        """
        return self._rate

    @rate.setter
    def rate(self, rate: str):
        """Sets the rate of this NutrientItem.

        비중  # noqa: E501

        :param rate: The rate of this NutrientItem.
        :type rate: str
        """

        self._rate = rate

    @property
    def rate_unit(self) -> str:
        """Gets the rate_unit of this NutrientItem.

        비중 단위(%, mg/g, ...)  # noqa: E501

        :return: The rate_unit of this NutrientItem.
        :rtype: str
        """
        return self._rate_unit

    @rate_unit.setter
    def rate_unit(self, rate_unit: str):
        """Sets the rate_unit of this NutrientItem.

        비중 단위(%, mg/g, ...)  # noqa: E501

        :param rate_unit: The rate_unit of this NutrientItem.
        :type rate_unit: str
        """

        self._rate_unit = rate_unit

    @property
    def child(self) -> List[NutrientItem]:
        """Gets the child of this NutrientItem.


        :return: The child of this NutrientItem.
        :rtype: List[NutrientItem]
        """
        return self._child

    @child.setter
    def child(self, child: List[NutrientItem]):
        """Sets the child of this NutrientItem.


        :param child: The child of this NutrientItem.
        :type child: List[NutrientItem]
        """

        self._child = child
